| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
cv::linemod::ColorGradient Class Reference
RGB-Depth Processing

Modality that computes quantized gradient orientations from a color image. More...

`#include <opencv2/rgbd/linemod.hpp>`

Collaboration diagram for cv::linemod::ColorGradient:

## Public Member Functions
| ColorGradient ()
| Default constructor. Uses reasonable default parameter values.
| ColorGradient (float weak_threshold, size_t num_features, float strong_threshold)
| Constructor.
virtual String | name () const CV_OVERRIDE
virtual void | read (const FileNode &fn) CV_OVERRIDE
virtual void | write (FileStorage &fs) const CV_OVERRIDE
Public Member Functions inherited from cv::linemod::Modality
virtual | ~Modality ()
Ptr< QuantizedPyramid > | process (const Mat &src, const Mat &mask=Mat()) const
| Form a quantized image pyramid from a source image.

## Static Public Member Functions
static Ptr< ColorGradient > | create (float weak_threshold, size_t num_features, float strong_threshold)
Static Public Member Functions inherited from cv::linemod::Modality
static Ptr< Modality > | create (const FileNode &fn)
| Load a modality from file.
static Ptr< Modality > | create (const String &modality_type)
| Create modality by name.

## Public Attributes
size_t | num_features
float | strong_threshold
float | weak_threshold

## Protected Member Functions
virtual Ptr< QuantizedPyramid > | processImpl (const Mat &src, const Mat &mask) const CV_OVERRIDE
Protected Member Functions inherited from cv::linemod::Modality

## Detailed Description

Modality that computes quantized gradient orientations from a color image.

## Constructor & Destructor Documentation

## ◆ ColorGradient() [1/2]

cv::linemod::ColorGradient::ColorGradient | ( |  | ) |

Default constructor. Uses reasonable default parameter values.

## ◆ ColorGradient() [2/2]

cv::linemod::ColorGradient::ColorGradient | ( | float | weak_threshold,
|  | size_t | num_features,
|  | float | strong_threshold )

Constructor.

Parameters

  weak_threshold | When quantizing, discard gradients with magnitude less than this.
  num_features | How many features a template must contain.
  strong_threshold | Consider as candidate features only gradients whose norms are larger than this.

## Member Function Documentation

## ◆ create()

static Ptr< ColorGradient > cv::linemod::ColorGradient::create | ( | float | weak_threshold,
|  | size_t | num_features,
|  | float | strong_threshold )
| static

Python:
| cv.linemod.ColorGradient.create( | weak_threshold, num_features, strong_threshold | ) -> | retval
| cv.linemod.ColorGradient_create( | weak_threshold, num_features, strong_threshold | ) -> | retval

## ◆ name()

virtual String cv::linemod::ColorGradient::name | ( |  | ) | const
| virtual

Implements cv::linemod::Modality.

## ◆ processImpl()

virtual Ptr< QuantizedPyramid > cv::linemod::ColorGradient::processImpl | ( | const Mat & | src,
|  | const Mat & | mask ) const
| protected virtual

Implements cv::linemod::Modality.

## ◆ read()

virtual void cv::linemod::ColorGradient::read | ( | const FileNode & | fn | ) |
| virtual

Implements cv::linemod::Modality.

## ◆ write()

virtual void cv::linemod::ColorGradient::write | ( | FileStorage & | fs | ) | const
| virtual

Implements cv::linemod::Modality.

## Member Data Documentation

## ◆ num_features

size_t cv::linemod::ColorGradient::num_features

## ◆ strong_threshold

float cv::linemod::ColorGradient::strong_threshold

## ◆ weak_threshold

float cv::linemod::ColorGradient::weak_threshold

The documentation for this class was generated from the following file:

- opencv2/rgbd/linemod.hpp